Bug 922866 - CVE-2013-0242 glibc: Buffer overrun (DoS) in regexp matcher by processing multibyte characters [f19]
CVE-2013-0242 glibc: Buffer overrun (DoS) in regexp matcher by processing mul...
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-0242
  Show dependency treegraph
Reported: 2013-03-18 13:14 EDT by Carlos O'Donell
Modified: 2013-04-09 17:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 905877
Last Closed: 2013-04-09 17:54:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos O'Donell 2013-03-18 13:14:26 EDT
+++ This bug was initially created as a clone of Bug #905877 +++

This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Jan Lieskovsky on 2013-01-30 06:18:14 EST ---

Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:

--- Additional comment from Eric Blake on 2013-03-15 13:28:22 EDT ---

We've got people panicking that this CVE is still unpatched in Fedora 18, and causing segfaults to appear during 'configure' runs:

Any word on when fixed glibc will be released into Fedora?

--- Additional comment from Carlos O'Donell on 2013-03-15 14:26:49 EDT ---

I'll fix this before Monday and get rawhide and F18 updated.

We already have a well reviewed patch for update.

--- Additional comment from Carlos O'Donell on 2013-03-17 20:37:45 EDT ---

Fixed in rawhide.

Working on F18 and F19.

--- Additional comment from Carlos O'Donell on 2013-03-17 23:58:14 EDT ---

Fixed in F19.

Koji build here:

The F18 patch needed some more pre-requisites to be backported. Thus local testing for F18 is not yet complete.
Comment 1 Carlos O'Donell 2013-03-18 13:20:39 EDT
This tracks the F19 fix.
Comment 2 Carlos O'Donell 2013-04-09 17:54:24 EDT
This is fixed in f19 thus marking CLOSED/CURRENTRELEASE.

Since f19 hasn't been released yet there is no bodhi process required.

Note You need to log in before you can comment on or make changes to this bug.